## com.vividsolutions.jts
Class JTSVersion

    java.lang.Object
      com.vividsolutions.jts.JTSVersion

public class JTSVersion
extends java.lang.Object

JTS API version information.

Versions consist of a 3-part version number: `major.minor.patch` An optional release status string may be present in the string version of the version.

Version:
  1.7

Field Summary
`static JTSVersion` `CURRENT_VERSION` The current version number of the JTS API.
`static int` `MAJOR` The major version number.
`static int` `MINOR` The minor version number.
`static int` `PATCH` The patch version number.

Method Summary
`int` `getMajor()` Gets the major number of the release version.
`int` `getMinor()` Gets the minor number of the release version.
`int` `getPatch()` Gets the patch number of the release version.
`static void` `main(java.lang.String[] args)` Prints the current JTS version to stdout.
`java.lang.String` `toString()` Gets the full version number, suitable for display.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CURRENT_VERSION

    public static final JTSVersion CURRENT_VERSION

  The current version number of the JTS API.

### MAJOR

    public static final int MAJOR

  The major version number.

  See Also:
    Constant Field Values

### MINOR

    public static final int MINOR

  The minor version number.

  See Also:
    Constant Field Values

### PATCH

    public static final int PATCH

  The patch version number.

  See Also:
    Constant Field Values

Method Detail

### main

    public static void main(java.lang.String[] args)

  Prints the current JTS version to stdout.

  Parameters:
    `args` - the command-line arguments (none are required).

### getMajor

    public int getMajor()

  Gets the major number of the release version.

  Returns:
    the major number of the release version.

### getMinor

    public int getMinor()

  Gets the minor number of the release version.

  Returns:
    the minor number of the release version.

### getPatch

    public int getPatch()

  Gets the patch number of the release version.

  Returns:
    the patch number of the release version.

### toString

    public java.lang.String toString()

  Gets the full version number, suitable for display.

  Returns:
    the full version number, suitable for display.